Snap to Apparent Intersection

In 3D, when moving an entity and the To point is clicked using Snap to Apparent Intersection, how do you influence whether it snaps to the further or the closer (relative to the screen) of the 2 apparently intersecting entities - or does it snap to the most recent of the 2 - or what?
Which ever way I orient the model by LookFrom, it always seems to snap to one of the entities rather than the other.

Comments

  • Dear Tom
    Using Apparent Intersection the apparent intersection poin( is projected onto the the entity at the 'highest' position (= closest to the viewpoint).

  • Old thread, but...

    I use this to select the object from which the elevation is taken:

    (defun C:appintext(/ o p pt s)
    (setq o (getvar "osmode"))
    (setvar "osmode" 2048)
    (if (setq pt (getpoint "\nPick intersection: ")) (progn
    (setvar "osmode" o)
    (prompt "\nSelect object for elevation")
    (setq p (vlax-curve-getclosestpointto (ssname (ssget "+.:S:E") 0) pt))
    ))
    )

This discussion has been closed.